import { z } from 'zod';
export declare const pricesEndpoint: {
    readonly name: "Prices";
    readonly description: "Get the current store prices for all items";
    readonly queryName: "Store_GetOffers";
    readonly category: "Store Endpoints";
    readonly type: "pd";
    readonly suffix: "store/v1/offers/";
    readonly riotRequirements: {
        readonly token: true;
        readonly entitlement: true;
        readonly clientPlatform: true;
        readonly clientVersion: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            Offers: z.ZodArray<z.ZodObject<{
                OfferID: z.ZodString;
                IsDirectPurchase: z.ZodBoolean;
                StartDate: z.ZodEffects<z.ZodString, Date, string>;
                Cost: z.ZodRecord<z.ZodString, z.ZodNumber>;
                Rewards: z.ZodArray<z.ZodObject<{
                    ItemTypeID: z.ZodString;
                    ItemID: z.ZodString;
                    Quantity: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }, {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                OfferID: string;
                IsDirectPurchase: boolean;
                StartDate: Date;
                Cost: Record<string, number>;
                Rewards: {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }[];
            }, {
                OfferID: string;
                IsDirectPurchase: boolean;
                StartDate: string;
                Cost: Record<string, number>;
                Rewards: {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }[];
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            Offers: {
                OfferID: string;
                IsDirectPurchase: boolean;
                StartDate: Date;
                Cost: Record<string, number>;
                Rewards: {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }[];
            }[];
        }, {
            Offers: {
                OfferID: string;
                IsDirectPurchase: boolean;
                StartDate: string;
                Cost: Record<string, number>;
                Rewards: {
                    ItemTypeID: string;
                    ItemID: string;
                    Quantity: number;
                }[];
            }[];
        }>;
    };
};
export type PricesResponse = z.input<typeof pricesEndpoint.responses['200']>;
